<?php
/**
 * Deposits settings page
 *
 * @author  YITH <plugins@yithemes.com>
 * @package YITH\Deposits\Options
 * @version 1.0.0
 */

if ( ! defined( 'YITH_WCDP' ) ) {
	exit;
} // Exit if accessed directly

return apply_filters(
	'yith_wcdp_deposits_settings',
	array(
		'deposits' => array(
			'deposits_section_start' => array(
				'type' => 'title',
				'desc' => '',
				'id'   => 'yith_wcdp_deposits_settings',
			),
			'deposits_table'         => array(
				'name'                 => _x( 'Deposit Rules', '[ADMIN] Deposits table title', 'yith-woocommerce-deposits-and-down-payments' ),
				'desc'                 => _x( 'Deposit rules allow overriding the default deposit amount (defined in General Options) for specific user roles, product categories, or products.', '[ADMIN] Deposits table description', 'yith-woocommerce-deposits-and-down-payments' ),
				'type'                 => 'yith-field',
				'yith-type'            => 'list-table',
				'class'                => '',
				'list_table_class'     => 'YITH_WCDP_Deposit_Rules_Admin_Table',
				'list_table_class_dir' => YITH_WCDP_INC . 'admin/admin-tables/class-yith-wcdp-deposit-rules-admin-table.php',
				'id'                   => 'yith_wcdp_rate_rules',
				'add_new_button'       => _x( 'Add rule', '[ADMIN] Add new deposit rule button, in Deposits Rules tab', 'yith-woocommerce-deposits-and-down-payments' ),
				'add_new_url'          => '#',
			),
			'deposits_section_end'   => array(
				'type' => 'sectionend',
				'id'   => 'yith_wcdp_deposits_settings',
			),
		),
	)
);
