<?php
/**
 * Notification settings page
 *
 * @author  YITH <plugins@yithemes.com>
 * @package YITH\Deposits\Options
 * @version 1.0.0
 */

if ( ! defined( 'YITH_WCDP' ) ) {
	exit;
} // Exit if accessed directly

return apply_filters(
	'yith_wcdp_notifications_settings',
	array(
		'settings-notifications' => array(

			'notify-options'                              => array(
				'title' => __( 'Notifications', 'yith-woocommerce-deposits-and-down-payments' ),
				'type'  => 'title',
				'desc'  => '',
				'id'    => 'yith_wcdp_notify_options',
			),

			'notify-admin-deposit-created'                => array(
				'title'     => __( 'Notify deposit creation to admin', 'yith-woocommerce-deposits-and-down-payments' ),
				'type'      => 'yith-field',
				'yith-type' => 'onoff',
				'desc'      => __( 'Enable to automatically send an email to the shop admin when a customer pays a deposit for a product.', 'yith-woocommerce-deposits-and-down-payments' ),
				'id'        => 'yith_wcdp_notify_admin_deposit_created',
				'default'   => 'yes',
			),

			'notify-customer-deposit-created'             => array(
				'title'     => __( 'Notify deposit creation to customer', 'yith-woocommerce-deposits-and-down-payments' ),
				'type'      => 'yith-field',
				'yith-type' => 'onoff',
				'desc'      => __( 'Enable to automatically send an email to the customer who pays a deposit for a product.', 'yith-woocommerce-deposits-and-down-payments' ),
				'id'        => 'yith_wcdp_notify_customer_deposit_created',
				'default'   => 'yes',
			),

			'notify-customer-deposit-expiring'            => array(
				'title'     => __( 'Notify balance payment to customer', 'yith-woocommerce-deposits-and-down-payments' ),
				'type'      => 'yith-field',
				'yith-type' => 'onoff',
				'desc'      => __(
					'Enable to automatically send an email to the customer about the balance payment.<br/>
					<b>Note:</b> if the user has to pay manually, he/she will get an email that redirects him/her to the payment page.<br/>
					If the Stripe option is enabled and the balance is automatically charged, the user will get an email that notifies the automatic charge of the balance on his/her credit card.',
					'yith-woocommerce-deposits-and-down-payments'
				),
				'id'        => 'yith_wcdp_notify_customer_deposit_expiring',
				'default'   => 'yes',
			),

			'notify-customer-deposit-expiring-days-limit' => array(
				'title'             => __( 'Send the email about the balance payment', 'yith-woocommerce-deposits-and-down-payments' ),
				'type'              => 'yith-field',
				'yith-type'         => 'custom',
				'action'            => 'yith_wcdp_print_duration_field',
				'class'             => 'duration-field',
				'inline_desc'       => __( 'before the payment due date.', 'yith-woocommerce-deposits-and-down-payments' ),
				'desc'              => __( 'Choose when to send the email to notify the balance payment to customers.', 'yith-woocommerce-deposits-and-down-payments' ),
				'id'                => 'yith_wcdp_notify_customer_deposit_expiring_days_limit',
				'default'           => 15,
				'custom_attributes' => array(
					'data-dependencies' => wp_json_encode( array( 'yith_wcdp_notify_customer_deposit_expiring' => 'yes' ) ),
				),
			),

			'notify-options-end'                          => array(
				'type' => 'sectionend',
				'id'   => 'yith_wcdp_notify_options',
			),
		),
	)
);
