const path = require( 'path' );

module.exports = {
	devtool    : 'source-map',
	entry      : {
		"admin/yith-wcdp": "./assets/js/admin/src/yith-wcdp.js",
		"yith-wcdp": "./assets/js/src/yith-wcdp.js",
	},
	mode: 'production',
	module: {
		rules: [
			{
				test: /\.(js|jsx)/,
				exclude: /(node_modules|bower_components)/,
				use: {
					loader: 'babel-loader',
					options: {
						presets: [
							'@babel/preset-env'
						]
					}
				}
			}
		]
	},
	optimization: {
		minimize: false,
	},
	output     : {
		filename: (pathData, assetInfo) => {
			let name = pathData.chunk.name,
				components = name.split( '/' );

			components[components.length - 1] = components[components.length - 1] + '.bundle.js';

			return components.join( '/' );
		},
		path: path.resolve( __dirname, 'assets/js' ),
		libraryTarget: 'window'
	},
	resolve: {
		extensions: ['*', '.js', '.jsx'],
	},
};
